---
- name: Create bitbucket postgresql user
  community.postgresql.postgresql_user:
    name: bb
    password: bb
    state: present
  become: yes
  become_user: postgres
- name: Create bitbucket postgresql database
  community.postgresql.postgresql_db:
    name: bb
    owner: bb
  become: yes
  become_user: postgres
- name: Extract jdk-11
  ansible.builtin.unarchive:
    src: /blob/OpenJDK11U-jdk_x64_linux_hotspot_11.0.22_7.tar.gz
    dest: /opt
    remote_src: true
    owner: root
    group: root
    creates: "/opt/jdk-11.0.22+7/release"
- name: Make /opt/jdk-11
  ansible.builtin.file:
    path: "/opt/jdk-11"
    src: "jdk-11.0.22+7"
    state: link
- name: Create bitbucket group
  ansible.builtin.group:
    name: bb
    system: true
- name: Create bitbucket user
  ansible.builtin.user:
    name: bb
    group: bb
    system: true
    home: /opt/bitbucket-data
    shell: /usr/bin/bash
    create_home: false
- name: Make /opt/bitbucket-data
  ansible.builtin.file:
    path: "/opt/bitbucket-data"
    owner: bb
    group: bb
    state: directory
    mode: "0750"
- name: Extract bitbucket
  ansible.builtin.unarchive:
    src: /blob/atlassian-bitbucket-8.19.0.tar.gz
    dest: /opt
    remote_src: true
    owner: bb
    group: bb
    creates: "/opt/atlassian-bitbucket-8.19.0/README.txt"
- name: Make /opt/bitbucket
  ansible.builtin.file:
    path: /opt/bitbucket
    src: atlassian-bitbucket-8.19.0
    state: link
- name: mkdir /etc/systemd/system
  ansible.builtin.file:
    path: /etc/systemd/system
    state: directory
    mode: '0755'
    owner: root
    group: root
- name: Upload Bitbucket Service
  template:
    src: bitbucket.service.j2
    dest: /etc/systemd/system/bitbucket.service
    backup: true
  notify: Restart Bitbucket
- name: Reload systemd daemon
  systemd:
    daemon_reload: yes
